For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update Frequent Savings

The "Update Frequent Savings" endpoint allows customers to update an existing frequent savings account.

PUT /api/savingsaccount/v1/frequentsavings/update

To update a frequent savings account, you need to provide the necessary body parameters, such as id, and any of the other fields you wish to change.

Headers

Name
Value

Content-Type*

application/json

Authorization*

Bearer

Request-Reference*

{unique_reference}

Body

Name
Data Type (Length)
Required
Description

id

The unique identifier of the frequent savings account to be updated.

pocketName

string (100)

Details of the savings, e.g. Rent, School Fees.

amount

Integer

The Principal Amount. Amount should be sent in the base unit of the currency. For example, 1000 naira will be sent as 1000 * 100.

deductionAmount

Integer

The amount to be deducted till the Target Amount is reached. Deduction Amount should be sent in the base unit of the currency. For example, 1000 naira will be sent as 1000 * 100.

frequency

Integer

How often the deduction towards the savings occurs. Enum (Daily = 1, Weekly = 2, Monthly = 3)

commencementDate

Integer

The start date of the frequent savings.

maturityDate

number

The maturity date of the frequent savings.

interestRate

Integer

The applicable interest rate for the savings. Percentage should be in at most 3 decimal places.

preferredTime

Integer

The preferred time for the deduction to occur. Preferred Time ranges from 0 to 23.

imageURL

string

A URL pointing to an image associated with the savings pocket, for example, a goal image representing what the pocket is saving towards.

targetSavingsURL

string

A URL associated with the target savings goal, likely used for reference or tracking on the client side.

Here is an example request and response with a sample payload sent to the endpoint in Curl format.

Sample Request
Response: 200

Last updated